<h1>{{titulo}}</h1>

<div style="display: grid;">
    <form (ngSubmit)="enviar()"> 
        <label style="text-align: center;">MENSAGEM: 
            <input type="text" style="width: 100%;" name="nome" size="15" [(ngModel)]="msg"/>
        </label>
        <br/>
        <button type="submit">Enviar</button>
    </form>
    <div style="display: grid;
    grid-template-columns: 45% 5% 45%;">
        <div>
            <h4>LISTA DE REMETENTES</h4>
            <table>
                <thead>
                <tr>
                    <th>SELECIONAR</th>
                    <th>ID</th>
                    <th>Nome</th>
                    <th>Telefone</th>
                    <th>E-mail</th>
                </tr>
                </thead>
                
                <tbody>
                    <tr *ngFor="let remetente of remetentes; let i = index;">
                        <td style="text-align: center;"><input type="radio" name="radioRemetente" [value]="false" (click)="marcarRemetente(remetente);"></td>  
                        <td>{{ remetente.id }}</td>        
                        <td>{{ remetente.nome }}</td> 
                        <td>{{ remetente.telefone }}</td>        
                        <td>{{ remetente.email }}</td> 
                    </tr>
                    <tr>
                        <td colspan="10" style="text-align: right;">Total de Registros: {{ remetentes.length }}</td> 
                    </tr>
                </tbody>
            </table>
        </div>
        <br/>
        <div>
            <h4>LISTA DE DESTINATÁRIOS</h4>
            <table>
                <thead>
                <tr>
                    <th>SELECIONAR</th>
                    <th>ID</th>
                    <th>Nome</th>
                    <th>Telefone</th>
                    <th>E-mail</th>
                </tr>
                </thead>
                
                <tbody>
                    <tr *ngFor="let destinatario of destinatarios; let i = index;">
                        <td style="text-align: center;"><input type="checkbox" (click)="marcarDestinatario(destinatario);"></td>
                        <td>{{ destinatario.id }}</td>        
                        <td>{{ destinatario.nome }}</td> 
                        <td>{{ destinatario.telefone }}</td>       
                        <td>{{ destinatario.email }}</td> 
                    </tr>
                    <tr>
                        <td colspan="10" style="text-align: right;">Total de Registros: {{ destinatarios.length }}</td> 
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
